Retrieve Expected Rack

View as Markdown

Retrieve a specific Expected Rack by its id.

Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN or FORGE_PROVIDER_VIEWER role.

Alternatively, Tenant Admins with TargetedInstanceCreation capability can also retrieve Expected Racks if they have an account with the Site’s Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
idstringRequired

Query parameters

includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringRead-onlyformat: "uuid"

Unique identifier (UUID) for the Expected Rack

rackIdstringRead-only

Operator-supplied identifier for the rack (string, not UUID). Unique within a Site.

siteIdstringRead-onlyformat: "uuid"
ID of the Site the Expected Rack belongs to
rackProfileIdstring
Identifier of the Rack Profile this rack conforms to
namestring

Human-readable name of the Expected Rack

descriptionstring

Human-readable description of the Expected Rack

labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

createddatetimeRead-only
ISO 8601 datetime when the Expected Rack was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Rack was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error